/*
 * @Author: your name
 * @Date: 2021-12-21 09:22:04
 * @LastEditTime: 2021-12-27 11:56:24
 * @LastEditors: Please set LastEditors
 * @Description: 权限项管理
 * @FilePath: \Foshan4A2.0\src\api\apiAuthority.js
 */
import request from '@/utils/request'

//权限树查询
export function GetAuthTree (params) {
  return request({
    url: '/api/fs4a/GetAuthTree/v1',
    method: 'post',
    data: params,
    proxy: true
  })
}

//应用新增保存
export function SaveApp (params) {
  return request({
    url: '/api/fs4a/SaveApp/v1',
    method: 'post',
    data: params,
    proxy: true
  })
}

//应用详情查询
export function GetAppDetails (params) {
  return request({
    url: '/api/fs4a/GetAppDetails/v1',
    method: 'post',
    data: params,
    proxy: true
  })
}

//应用修改保存
export function EditApp (params) {
  return request({
    url: '/api/fs4a/EditApp/v1',
    method: 'post',
    data: params,
    proxy: true
  })
}

//应用状态变更
export function UpdateAppStatus (params) {
  return request({
    url: '/api/fs4a/UpdateAppStatus/v1',
    method: 'post',
    data: params,
    proxy: true
  })
}

//应用删除
export function DeleteApp (params) {
  return request({
    url: '/api/fs4a/DeleteApp/v1',
    method: 'post',
    data: params,
    proxy: true
  })
}


//权限项修改保存
export function EditAuth (params) {
  return request({
    url: '/api/fs4a/EditAuth/v1',
    method: 'post',
    data: params,
    proxy: true
  })
}

//权限详情查询
export function GetAuthDetails (params) {
  return request({
    url: '/api/fs4a/GetAuthDetails/v1',
    method: 'post',
    data: params,
    proxy: true
  })
}

//根据权限获取授权规则
export function GetAuthTo (params) {
  return request({
    url: '/api/fs4a/GetAuthTo/v1',
    method: 'post',
    data: params,
    proxy: true
  })
}

//权限项新增保存
export function SaveAuth (params) {
  return request({
    url: '/api/fs4a/SaveAuth/v1',
    method: 'post',
    data: params,
    proxy: true
  })
}

//权限项删除
export function DeleteAuth (params) {
  return request({
    url: '/api/fs4a/DeleteAuth/v1',
    method: 'post',
    data: params,
    proxy: true
  })
}

//权限状态变更
export function UpdateAuthStatus (params) {
  return request({
    url: '/api/fs4a/UpdateAuthStatus/v1',
    method: 'post',
    data: params,
    proxy: true
  })
}

//角色新增保存
export function SaveRole (params) {
  return request({
    url: '/api/fs4a/SaveRole/v1',
    method: 'post',
    data: params,
    proxy: true
  })
}

//角色列表查询
export function QueryRole (params) {
  return request({
    url: '/api/fs4a/QueryRole/v1',
    method: 'post',
    data: params,
    proxy: true
  })
}

//账号列表查询
export function GetUserList (params) {
  return request({
    url: '/api/fs4a/GetUserList/v1',
    method: 'post',
    data: params,
    proxy: true
  })
}

//角色明细查询
export function RoleDetails (params) {
  return request({
    url: '/api/fs4a/RoleDetails/v1',
    method: 'post',
    data: params,
    proxy: true
  })
}

//角色权限列表
export function RoleAuths (params) {
  return request({
    url: '/api/fs4a/RoleAuths/v1',
    method: 'post',
    data: params,
    proxy: true
  })
}

//角色删除
export function DeleteRole (params) {
  return request({
    url: '/api/fs4a/DeleteRole/v1',
    method: 'post',
    data: params,
    proxy: true
  })
}

//角色编辑保存
export function EditRole (params) {
  return request({
    url: '/api/fs4a/EditRole/v1',
    method: 'post',
    data: params,
    proxy: true
  })
}

//角色状态变更
export function UpdateStatus (params) {
  return request({
    url: '/api/fs4a/UpdateStatus/v1',
    method: 'post',
    data: params,
    proxy: true
  })
}